claw::meta::type_list_length< List > Struct Template Reference

This class computes the length of a list of types. More...

`#include <type_list.hpp>`

## Public Types

enum | { result = 1 + type_list_length<typename List::queue_type>::result }

## Detailed Description

template<typename List>
struct claw::meta::type_list_length< List >

This class computes the length of a list of types.

Author
  Julien Jorge

Definition at line 427 of file type_list.hpp.

## Member Enumeration Documentation

## anonymous enum

template<typename List>

anonymous enum

Definition at line 429 of file type_list.hpp.

The documentation for this struct was generated from the following file:

- meta/type_list.hpp